BSON_ITER_VALUE(3)

NAME
bson_iter_value - bson_iter_value()

SYNOPSIS

const bson_value_t *
bson_iter_value (bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

Fetches the value for the currently observed type as a boxed type. This allows passing around the value without knowing the type at runtime.

RETURNS

A bson_value_t that should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc